# List Payments

<mark style="color:green;">`GET`</mark> `{{base_url}}/payments`

{% hint style="info" %}
Fields with <mark style="color:red;">\*</mark> are required
{% endhint %}

**Headers**

<table data-full-width="true"><thead><tr><th>Name</th><th>Type</th><th>Value</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>String</td><td>Bearer {{your_secret_key}}</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "id": "1b791f9c-9c31-423b-ad32-f15b1b72e131",
            "reference": "testtransaction90238934",
            "amount": 15368,
            "fee": 330,
            "status": "COMPLETED",
            "customer_paid": true,
            "currency": "NGN",
            "customer": {
                "name": "Chidiebere Uwah",
                "email": "uwah23@gmail.com",
                "phone": "08193928394"
            },
            "products": [
                {
                    "name": "Classic Shoes",
                    "description": "Addidas not puma test shoe payment",
                    "amount": 15045
                }
            ],
            "created_at": "2024-10-08T07:04:04.000000Z",
            "updated_at": "2024-10-08T07:04:04.000000Z"
        },
        {
            "id": "d0c42539-7cc9-455e-85ae-9afb844eaab1",
            "reference": "testtransaction0955894823",
            "amount": 12100,
            "fee": 260,
            "status": "FAILED",
            "customer_paid": true,
            "currency": "NGN",
            "customer": {
                "name": "Aghorunse Godspower",
                "email": "godspower.simi@gmail.com",
                "phone": "08029383293"
            },
            "products": [
                {
                    "name": "Classic Shoes",
                    "description": "Addidas not puma test shoe payment",
                    "amount": 11845
                }
            ],
            "created_at": "2024-07-15T009:22:07.000000Z",
            "updated_at": "2024-07-15T09:22:40.000000Z"
        }
    ]
}
```

{% endtab %}

{% tab title="404" %}

```json
{
  "error": "Connection Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.browpay.com/payments/collect-payments/list-payments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
